<html>
<!--    cibl&eacute; par:  menu-base.php

		cible:  						
 -->

<!-- param&egrave;tre &eacute;mis:        -Bsession_id         le num&eacute;ro de la session
						

	 param&egrave;tre re&ccedil;evable :  -Bsession_id         le num&eacute;ro de la session
	 						
							
 -->
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Calendrier</title> 
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");


//V&eacute;rifier si la session est valide.
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");


$aryDateMaintenant = explode("-",date("d-m-Y"));

if(empty($annee)) $annee = $aryDateMaintenant[2];
if(empty($mois)) $mois = $aryDateMaintenant[1];
if(empty($jour)) $jour = $aryDateMaintenant[0]; 

if (empty($date))
{
	$date = date("d-m-Y");
}
	
print("<center><font size=5><u><b>Calendrier</b></u></center><br>");




//*********************************************************************************************************************************
//RECHERCHE DANS LA TABLE BASE_CHALETS*********************************************************************************************
//*********************************************************************************************************************************
//BOITE DE SELECTION DES CHALETS
	print("<form action=\"calendrier.php\" method=\"get\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=\"".$_GET['Bsession_id']."\">");

	$sql = "SELECT base_ref1chalets.num_chalet, base_ref1chalets.nom
	   		  FROM base_ref1chalets
			 WHERE base_ref1chalets.actif = 'O';";
	
	// Ex&eacute;cute la requ&ecirc;te et mettre les r&eacute;sultats dans $result
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut cr&eacute;er la selection des chalets<br><br>".$sql);
	// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
	$num = mysqli_num_rows($result);	
	
	
	
	while ($row = mysqli_fetch_row($result))
	{


			print("<center><b><font size=5 color = red><BR>Calendrier pour ".$row[1]."</b></font><br>");
			$chalet = $row[0];
			$aryDateMaintenant = explode("-",$date);
			$annee = $aryDateMaintenant[2];
			$mois = $aryDateMaintenant[1];
			$jour = $aryDateMaintenant[0];	

			print("<center><table border=0>");
			print("<tr><td valign=top>");
		
			//BOUTON GAUCHE************************************
			if(intval($mois) == 1)
				print("<a href=\"$PHP_SELF?annee=".($annee - 1)."&mois=12&jour=$jour&date=".$jour."-12-".($annee-1)."&chalet=".$chalet."&Bsession_id=".$_GET['Bsession_id']."\"><img src=btn_gauche.gif border=0></a>");
			else
				print("<a href=\"$PHP_SELF?annee=".$annee."&mois=".($mois - 1)."&jour=".$jour."&date=".$jour."-".($mois-1)."-".$annee."&chalet=".$chalet."&Bsession_id=".$_GET['Bsession_id']."\"><img src=btn_gauche.gif border=0></a>"); 
			print("</td><td valign=top>");

			//AFFICHAGE	
			//CALENDRIER DE GAUCHE
			if(intval($mois) == 1)
				calendrier(12,$annee-1,$jour,$chalet);
			else
				calendrier($mois-1,$annee,$jour,$chalet);
			print("</td><td valign=top>");
			//CALENDRIER CENTRE
				calendrier($mois+0,$annee,$jour,$chalet);
			print("</td><td valign=top>");
			//CALENDRIER DROITE
			if(intval($mois) == 12)
				calendrier(1,$annee+1,$jour,$chalet);
			else
				calendrier($mois+1,$annee,$jour,$chalet);	
			print("</td><td valign=top>");
		
			//BOUTON DROITE************************************
			if(intval($mois) == 12)
				print("<a href=\"$PHP_SELF?annee=".($annee + 1)."&mois=1&jour=".$jour."&date=".$jour."-01-".($annee + 1)."&chalet=".$chalet."&Bsession_id=".$_GET['Bsession_id']."\"><img src=btn_droite.gif border=0></a>");
			else
				print("<a href=\"$PHP_SELF?annee=".$annee."&mois=".($mois + 1)."&jour=".$jour."&date=".$jour."-".($mois + 1)."-".$annee."&chalet=".$chalet."&Bsession_id=".$_GET['Bsession_id']."\"><img src=btn_droite.gif border=0></a>");
			print("</td></tr>\n");
			print("</td></tr></table>");	
			
			}













// FONCTIONS

//TROUVE LE PREMIER JOUR DU MOIS
FUNCTION premier_jour_du_mois($argMois,$argAnnee)
{
 	$intPremierJour = date("w",mktime(0,0,0,$argMois,1,$argAnnee));
 	if($intPremierJour == 0) 
		$intPremierJour = 7; // si c'est un dimanche
	return $intPremierJour;
}






//TROUVE LE NOMBRE DE JOUR DANS LE MOIS
FUNCTION nb_jours_dans_mois($argMois,$argAnnee)
{
	$nb = 31; 										// par d&eacute;faut, le mois comporte 31 jours
	if($argMois < 8 and !($argMois % 2)) 
		$nb --;									  	// si c'est un mois avant aout et qu'il est pair, on enleve 1
	elseif($argMois > 8 and ($argMois % 2))
		$nb --;										// sinon, si c'est un mois superieur aaout, et qu'il est impair, on enleve 1
	if($argMois == 2)							// sinon, si c'est f&eacute;vrier, on enleve 2
 	{
  		$nb -= 2;
		if(($argAnnee%4) ==0) 
			$nb++;// et encore 1 si c'est une annee bisextile
 	}
	return $nb;
}




FUNCTION calendrier($mois,$annee,$jour,$num_chalet)
{

global $Bsession_id;

// INITIALISATIONS
$intPremierJour = premier_jour_du_mois($mois,$annee);	// premier jour du mois (lundi, mardi, mercredi etc..)
$intNbJoursDansMois = nb_jours_dans_mois($mois,$annee);	// nombre de jours dans le mois (28,...,31)
$x = 28;												// largeur des cellules du calendrier
$y = 15;												// hauteur des cellules du calendrier

// TABLEAU DES MOIS
$aryMois = array(0 => "D&Eacute;CEMBRE","JANVIER","F&Eacute;VRIER","MARS","AVRIL","MAI","JUIN","JUILLET","AO&Ucirc;T","SEPTEMBRE","OCTOBRE","NOVEMBRE","D&Eacute;CEMBRE","JANVIER");


// AFFICHAGE DE LA TABLE
print("<table border=1 CELLSPACING=0 CELLPADDING=0>\n");
print("<tr>");

	
//TITRE DU MOIS************************************	
print("<td colspan=7 align=center bgcolor=blue><font size=4 color=white><b>");
print($aryMois[intval($mois)]." ".$annee);
print("</b></font></td><td>");


// AFFICHAGE LIGNE DES JOURS
print("<tr align=center><td width=".$x."px height=".$y."px>L</td><td width=".$x."px height=".$y."px>M</td><td width=".$x."px height=".$y."px>M</td><td width=".$x."px height=".$y."px>J</td>");
print("<td width=".$x."px height=".$y."px>V</td><td width=".$x."px height=".$y."px>S</td><td width=".$x."px height=".$y."px>D</td></tr>\n");
print("<tr>");


// AFFICHE PREMIER JOUR VIDE
for( $i = 1; $i < $intPremierJour ; $i ++)
	print("<td>&nbsp;</td>");


//AFFICHAGE DES JOURS	
$j = $intPremierJour;
for( $i=1 ; $i <= $intNbJoursDansMois ; $i ++ )
{	
	//comble les 0 manquant dans la date
	if (($mois < 10) and ($i < 10))
		$date_actu = ($annee."-0".$mois."-0".$i);
	if (($mois >= 10) and ($i < 10))
		$date_actu = ($annee."-".$mois."-0".$i);
	if (($mois < 10) and ($i >= 10))
		$date_actu = ($annee."-0".$mois."-".$i);
	if (($mois >= 10) and ($i >= 10))
		$date_actu = ($annee."-".$mois."-".$i);						


	$sql = "SELECT base_calendrier.etat
	          FROM base_calendrier
			  WHERE base_calendrier.num_chalet = '$num_chalet'
			    AND base_calendrier.date ='$date_actu' ;";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me douverture de date<br><br>".$sql);
	$row = mysqli_fetch_row($result);
	print("<td background='carre/".$row[0].".gif' width=".$x."px height=".$y."px>");
	print("<font size=2>".$i."<br>");
	//image de l'&eacute;tat
//print($date_actu);	
	print("</td>");

	
	// SI DERNIER JOUR DE LA SEMAINE
	if($j == 7)
	{
		$nb_semaine++;  //nombre de semaine
		// CHANGE DE LIGNE
		if($i <= $intNbJoursDansMois)
		{
			print("</tr>\n");
			print("<tr>");
			$j = 1;
		}
	}
	else	// SINON AVANCE D'UN JOUR DANS LA SEMAINE
	{
		$j ++;
	}

}

// AFFICHE LES JOURS VIDE RESTANT
for( $i = $j ; $i <= 7 ; $i ++)
	print("<td>&nbsp;</td>");

if ($nb_semaine == 4)	
{
	print("<tr><td colspan = 7 width=".$x."px height=".$y."px></td></tr>\n");	
}	
	
// fin de la table
print("</tr>\n");
print("</table>");
}





//BAS DE PAGE*****************************************************************
print("<br><hr><center>");
	//Afficher le bouton de retour au menu principal.
	print("<a href=../menu-base.php?Bsession_id=".$Bsession_id.">Menu principal</a>");
	



?>


</body>
</html>
